## GExiv2PreviewProperties GExiv2PreviewProperties — Class describing properties of a preview image |

## Functions

const gchar * | gexiv2_preview_properties_get_mime_type ()
const gchar * | gexiv2_preview_properties_get_extension ()
guint32 | gexiv2_preview_properties_get_size ()
guint32 | gexiv2_preview_properties_get_width ()
guint32 | gexiv2_preview_properties_get_height ()

## Description

Metadata can contain multiple preview images. GExiv2PreviewProperties are used to describe the available image without the need of fetching the whole image from the metadata.

## Functions

### gexiv2_preview_properties_get_mime_type ()

    const gchar *
    gexiv2_preview_properties_get_mime_type
                                   (GExiv2PreviewProperties *self);

#### Parameters

self | An instance of GExiv2PreviewProperties |

#### Returns

The preview image's MIME type.

[transfer none]

### gexiv2_preview_properties_get_extension ()

    const gchar *
    gexiv2_preview_properties_get_extension
                                   (GExiv2PreviewProperties *self);

#### Parameters

self | An instance of GExiv2PreviewProperties |

#### Returns

The recommended file extension for the preview image.

[transfer none]

### gexiv2_preview_properties_get_size ()

    guint32
    gexiv2_preview_properties_get_size (GExiv2PreviewProperties *self);

#### Parameters

self | An instance of GExiv2PreviewProperties |

#### Returns

The preview image size in bytes.

### gexiv2_preview_properties_get_width ()

    guint32
    gexiv2_preview_properties_get_width (GExiv2PreviewProperties *self);

#### Parameters

self | An instance of GExiv2PreviewProperties |

#### Returns

The preview image's display width in pixels.

### gexiv2_preview_properties_get_height ()

    guint32
    gexiv2_preview_properties_get_height (GExiv2PreviewProperties *self);

#### Parameters

self | An instance of GExiv2PreviewProperties |

#### Returns

The preview image's display height in pixels.

## Types and Values

## See Also

GExiv2Metadata GExiv2PreviewProperties